CyberPatrol 7.7 + Google Chrome

CyberPatrol • 22 June 2015

Unfortunately, Google Chrome is not one of the browsers compatible with CyberPatrol Parental Controls v7.7. The compatible browsers are Internet Explorer and Firefox.

For a complete list of minimum system requirements please see below.

 

CyberPatrol Parental Controls system requirements:

Microsoft® Operating Systems:

Windows® 7 SP1
Windows® 7 x64 SP1
Windows® Vista SP2
Windows® Vista x64 SP2
Windows® XP Home Edition SP3
Windows® XP Professional SP3
Windows® XP Professional x64 SP2
Windows® 2000 Professional SP4

Processor:

Pentium II/AMD K-6 or higher

Memory:

256 MB minimum

Disk Space:

30 MB

Internet Browsers:

Microsoft® Internet Explorer 5.01 SP3 and above
Mozilla Firefox 3.0 and above

Internet Connection:

A valid Internet connection is required.